Subject: newsletter and information

From: [email-masked] (Pilar Armanet)
Date: 20 Jul 1995 15:52:34 -0700

I=B4m a mushroom and pleurotus grower in Chile and it would be very
interesting to comunicate with you to get information and contact with
other growers/scientists/ and merchandizers. Dr. Royse informed me about
your newsletter, please let me know how to get it through Internet.  My
E-Mail is [email-masked]

Best regards

Rafael Astaburuaga